=head1 NAME

Gtk2::Gdk::PangoRenderer

=head1 HIERARCHY

  Glib::Object
  +----Gtk2::Pango::Renderer
       +----Gtk2::Gdk::PangoRenderer


=head1 METHODS

=head2 renderer = Gtk2::Gdk::PangoRenderer-E<gt>B<new> ($screen)

=over

=over

=item * $screen (Gtk2::Gdk::Screen) 

=back

=back

=head2 renderer = Gtk2::Gdk::PangoRenderer-E<gt>B<get_default> ($screen)

=over

=over

=item * $screen (Gtk2::Gdk::Screen) 

=back

=back

=head2 $gdk_renderer-E<gt>B<set_drawable> ($drawable)

=over

=over

=item * $drawable (Gtk2::Gdk::Drawable or undef) 

=back

=back

=head2 $gdk_renderer-E<gt>B<set_gc> ($gc)

=over

=over

=item * $gc (Gtk2::Gdk::GC or undef) 

=back

=back

=head2 $gdk_renderer-E<gt>B<set_override_color> ($part, $color)

=over

=over

=item * $part (Gtk2::Pango::RenderPart) 

=item * $color (Gtk2::Gdk::Color or undef) 

=back

=back

=head2 $gdk_renderer-E<gt>B<set_stipple> ($part, $stipple)

=over

=over

=item * $part (Gtk2::Pango::RenderPart) 

=item * $stipple (Gtk2::Gdk::Bitmap or undef) 

=back

=back


=head1 PROPERTIES

=over

=item 'screen' (Gtk2::Gdk::Screen : readable / writable / construct-only / private)

the GdkScreen for the renderer

=back


=head1 ENUMS AND FLAGS

=head2 enum Gtk2::Pango::RenderPart

=over

=item * 'foreground' / 'PANGO_RENDER_PART_FOREGROUND'

=item * 'background' / 'PANGO_RENDER_PART_BACKGROUND'

=item * 'underline' / 'PANGO_RENDER_PART_UNDERLINE'

=item * 'strikethrough' / 'PANGO_RENDER_PART_STRIKETHROUGH'

=back



=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Gtk2::Pango::Renderer>

=head1 COPYRIGHT

Copyright (C) 2003-2007 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.


=cut

